package com.prolog.cs.biz.inbound.dto.print;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 上架标签打印DTO
 * 
 * @author Xiong
 *
 */
@ApiModel
public class InstockTaskPrintDTO implements Serializable {

	private static final long serialVersionUID = -8997598200089141399L;
	// 商品名称
	@ApiModelProperty(value = "商品名称")
	private String itemName;
	// 商品规格
	@ApiModelProperty(value = "商品规格说明")
	private String specification;
	// 生产厂家
	@ApiModelProperty(value = "生产厂家名称")
	private String manufacturerName;
	// 批号
	@ApiModelProperty(value = "批号")
	private String manufacturerLotNum;
	// 生产日期
	@ApiModelProperty(value = "生产日期(显示)")
	private String productionDate;
	// 有效期至
	@ApiModelProperty(value = "有效期(显示)")
	private String expiredDate;
	// 标签号
	@ApiModelProperty(value = "上架标签号")
	private String instockLabel;
	// 容器号
	@ApiModelProperty(value = "容器号")
	private String containerCode;
	// 打印日期(后端给还是,grid生成)
	@ApiModelProperty(value = "打印日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date printDate;
	// 件数
	@ApiModelProperty(value = "包装件数")
	private BigDecimal caseQty;
	// 零散数
	@ApiModelProperty(value = "单品零散数")
	private BigDecimal oddPieceQty;
	// 货位楼层
	@ApiModelProperty(value = "货位楼层")
	private Integer locatorFloorNum;
	// 库别名称
	@ApiModelProperty(value = "库别名称")
	private String whAreaCategoryName;
	// 货位编号
	@ApiModelProperty(value = "库位编码")
	private String whLocatorCode;
	// 商品大类
	@ApiModelProperty(value = "商品分类名")
	private String categoryName;
	// 收货员
	@ApiModelProperty(value = "收货员")
	private String rcvUser; // 目前被质检员代替

	@ApiModelProperty(value = "货主名")
	private String mtlOwnerName;

	@ApiModelProperty(value = "商品大类")
	private String itemCategory;

	@ApiModelProperty(value = "重打标识")
	private String reFlag;
	// 账期类型
	@ApiModelProperty(value = "账期类型")
	private String saleBillType;
	// 业务员
	@ApiModelProperty(value = "账期业务员")
	private String bizUser;
	// 部门
	@ApiModelProperty(value = "部门")
	private String orgName;
	// 开票员
	@ApiModelProperty(value = "开票员")
	private String drawer;

	public String getSaleBillType() {
		return saleBillType;
	}

	public void setSaleBillType(String saleBillType) {
		this.saleBillType = saleBillType;
	}

	public String getBizUser() {
		return bizUser;
	}

	public void setBizUser(String bizUser) {
		this.bizUser = bizUser;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getDrawer() {
		return drawer;
	}

	public void setDrawer(String drawer) {
		this.drawer = drawer;
	}

	public String getReFlag() {
		return reFlag;
	}

	public void setReFlag(String reFlag) {
		this.reFlag = reFlag;
	}

	public String getItemCategory() {
		return itemCategory;
	}

	public void setItemCategory(String itemCategory) {
		this.itemCategory = itemCategory;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(String productionDate) {
		this.productionDate = productionDate;
	}

	public String getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getInstockLabel() {
		return instockLabel;
	}

	public void setInstockLabel(String instockLabel) {
		this.instockLabel = instockLabel;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public Date getPrintDate() {
		return printDate;
	}

	public void setPrintDate(Date printDate) {
		this.printDate = printDate;
	}

	public BigDecimal getCaseQty() {
		return caseQty;
	}

	public void setCaseQty(BigDecimal caseQty) {
		this.caseQty = caseQty;
	}

	public BigDecimal getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public Integer getLocatorFloorNum() {
		return locatorFloorNum;
	}

	public void setLocatorFloorNum(Integer locatorFloorNum) {
		this.locatorFloorNum = locatorFloorNum;
	}

	public String getWhAreaCategoryName() {
		return whAreaCategoryName;
	}

	public void setWhAreaCategoryName(String whAreaCategoryName) {
		this.whAreaCategoryName = whAreaCategoryName;
	}

	public String getWhLocatorCode() {
		return whLocatorCode;
	}

	public void setWhLocatorCode(String whLocatorCode) {
		this.whLocatorCode = whLocatorCode;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public String getRcvUser() {
		return rcvUser;
	}

	public void setRcvUser(String rcvUser) {
		this.rcvUser = rcvUser;
	}

}
